﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=10.2
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
	#Extends: androidx.appcompat.app.AppCompatActivity
#End Region

Sub Process_Globals

End Sub

Sub Globals
	Private Toolbar As ACToolBarLight
	Dim AlimoBottomNavigation As Alimo_BottomNavigation
	Dim Labeles(6) As Label
	Dim SeekBars(6) As SeekBar
	Dim SeekBarsDescriptions() As String=Array As String("BottomNavigationHeight : ","BezierViewWidth : ","BezierViewHeight : ","Elevation : ","CircleViewSize : ","CircleViewTop : ")
	Dim RadioButtons(3) As RadioButton
	Dim RadioButtonsDescriptions() As String=Array As String("SimpleMode","MorphMode","MeowMode")
	Dim LblDescriptionPage As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.Color=Main.ActivityColor
	Toolbar.Initialize("Toolbar")
	Toolbar.SetAsActionBar
	Toolbar.Color=Main.ThemColor
	Toolbar.Title=Application.LabelName
	Toolbar.TitleTextColor=Colors.White
	Toolbar.Elevation=6dip
	Activity.AddView(Toolbar,0,0,-1,56dip)
	Toolbar.NavigationIconDrawable=CommonCodes.FontToDrawable(Typeface.MATERIALICONS,Chr(0xE5C4),24,Colors.White)
	Activity.AddMenuItem3("","Support",CommonCodes.FontToDrawable(Main.MyTypeFace,Chr(0xF2B9),20,Colors.White).Bitmap,True)

	AlimoBottomNavigation.Initialize(Me,"AlimoBottomNavigation",Activity,0,100%y-Main.AlimoBottomNavigationHeight,100%x,Main.AlimoBottomNavigationHeight)
	AlimoBottomNavigation.SetCircleViewColor(Main.ThemColor)
	AlimoBottomNavigation.setBottomNavigationcolor(Main.ActivityColor)
	AlimoBottomNavigation.SetBezirViewColor(Colors.White)
	AlimoBottomNavigation.SetContentBottomNavigationColor(Colors.White)
	
	
	AlimoBottomNavigation.AddItem(CommonCodes.FontToDrawable(Main.MyTypeFace,Chr(0xF2A3),24,Colors.Gray))
	AlimoBottomNavigation.AddItem(CommonCodes.FontToDrawable(Main.MyTypeFace,Chr(0xF037),24,Colors.Gray))
	AlimoBottomNavigation.AddItem(CommonCodes.FontToDrawable(Main.MyTypeFace,Chr(0xF103),24,Colors.Gray))
	AlimoBottomNavigation.AddItem(CommonCodes.FontToDrawable(Main.MyTypeFace,Chr(0xF461),24,Colors.Gray))
	AlimoBottomNavigation.AddItem(CommonCodes.FontToDrawable(Main.MyTypeFace,Chr(0xF036),24,Colors.Gray))
	

	AlimoBottomNavigation.SetBottomNavigationMode(AlimoBottomNavigation.MorphMode,Round(AlimoBottomNavigation.ItemCount/2)-1)
	AlimoBottomNavigation.ChangeBezierView(Main.AlimoBottomNavigationBezierViewWidth,Main.AlimoBottomNavigationBezierViewHeight)
	AlimoBottomNavigation.ChangeShadow(Main.AlimoBottomNavigationElevation,Colors.Gray)
	AlimoBottomNavigation.SetCircleViewSize(Main.AlimoBottomNavigationCircleViewSize)
	AlimoBottomNavigation.SetCircleViewTop(Main.AlimoBottomNavigationCircleViewTop)
	
	For x=0 To RadioButtons.Length-1
		RadioButtons(x).Initialize("RadioButtons")
		RadioButtons(x).Tag=x
		RadioButtons(x).Text=RadioButtonsDescriptions(x)
		RadioButtons(x).Width=32%x
		RadioButtons(x).SingleLine=True
		RadioButtons(x).Ellipsize="END"
		Activity.AddView(RadioButtons(x),3%x+(x*RadioButtons(x).Width),Toolbar.Top+Toolbar.Height+5%y,RadioButtons(x).Width,7%y)
		If x=1 Then RadioButtons(x).Checked=True
	Next
	
	
	
	
	For i=0 To Labeles.Length-1
		Labeles(i).Initialize("")
		Labeles(i).Text=i
		Labeles(i).TextSize=10
		Labeles(i).TextColor=Colors.Black
		Labeles(i).SingleLine=True
		Labeles(i).Ellipsize="MIDDLE"
		Labeles(i).Gravity=Gravity.CENTER_VERTICAL+Gravity.LEFT
		Activity.AddView(Labeles(i),RadioButtons(0).Left,(i*10%y)+(RadioButtons(0).Top+RadioButtons(0).Height)+5%y,40%x,8%y)
		SeekBars(i).Initialize("SeekBars")
		SeekBars(i).Tag=i
		Activity.AddView(SeekBars(i),Labeles(i).Left+Labeles(i).Width,Labeles(i).Top,100%x-Labeles(i).Left-(Labeles(i).Left+Labeles(i).Width),Labeles(i).Height)
		Select i
			Case 0
				SeekBars(i).Max=115dip
				SeekBars(i).Value=Main.AlimoBottomNavigationHeight
			Case 1
				SeekBars(i).Max=100%x
				SeekBars(i).Value=AlimoBottomNavigation.getbezierViewWidth
			Case 2
				SeekBars(i).Max=Main.AlimoBottomNavigationHeight
				SeekBars(i).Value=AlimoBottomNavigation.getbezierViewHeight
			Case 3
				SeekBars(i).Max=10dip
				SeekBars(i).Value=AlimoBottomNavigation.GetBezierViewShadow
			Case 4
				SeekBars(i).Max=100dip
				SeekBars(i).Value=AlimoBottomNavigation.GetCircleViewSize
			Case 5
				SeekBars(i).Max=Main.AlimoBottomNavigationHeight
				SeekBars(i).Value=AlimoBottomNavigation.GetCircleViewTop
		End Select
		Labeles(i).Text=SeekBarsDescriptions(i)&(CommonCodes.IntToDIP(SeekBars(i).Value))&" Dip"
	Next
	
	LblDescriptionPage.Initialize("")
	LblDescriptionPage.Typeface=Typeface.DEFAULT_BOLD
	LblDescriptionPage.TextColor=Colors.Black
	LblDescriptionPage.SingleLine=True
	LblDescriptionPage.Ellipsize="START"
	LblDescriptionPage.Gravity=Gravity.LEFT+Gravity.CENTER_VERTICAL
	Activity.AddView(LblDescriptionPage,Labeles(Labeles.Length-1).Left,SeekBars(SeekBars.Length-1).Top+SeekBars(SeekBars.Length-1).Height+1%y,100%x-(Labeles(Labeles.Length-1).Left*2),5%y)
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub SeekBars_ValueChanged (Value As Int, UserChanged As Boolean)
	If UserChanged Then
		Dim SeekBar As SeekBar=Sender
		Select SeekBar.Tag
			Case 0
				AlimoBottomNavigation.BottomNavigation.Height=Value
				AlimoBottomNavigation.BottomNavigation.Top=100%y-Main.AlimoBottomNavigationHeight
				AlimoBottomNavigation.ChangeBezierView(AlimoBottomNavigation.getbezierViewWidth,AlimoBottomNavigation.getbezierViewHeight)
			Case 1
				If Value>AlimoBottomNavigation.GetCircleViewSize Then
					AlimoBottomNavigation.ChangeBezierView(Value,AlimoBottomNavigation.getbezierViewHeight)
				Else
					AlimoBottomNavigation.ChangeBezierView(0,0)
					SeekBars(2).Value=0
				End If
			Case 2
				AlimoBottomNavigation.ChangeBezierView(AlimoBottomNavigation.getbezierViewWidth,Value)
			Case 3
				Main.AlimoBottomNavigationElevation=Value
				AlimoBottomNavigation.ChangeShadow(Main.AlimoBottomNavigationElevation,Colors.Gray)
			Case 4
				Main.AlimoBottomNavigationCircleViewSize=Value
				AlimoBottomNavigation.SetCircleViewSize(Main.AlimoBottomNavigationCircleViewSize)
			Case 5
				Main.AlimoBottomNavigationCircleViewTop=Value
				AlimoBottomNavigation.SetCircleViewTop(Main.AlimoBottomNavigationCircleViewTop)
		End Select
		Labeles(SeekBar.Tag).Text=SeekBarsDescriptions(SeekBar.Tag)&(CommonCodes.IntToDIP(SeekBars(SeekBar.Tag).Value))&" Dip"
		Main.AlimoBottomNavigationHeight=AlimoBottomNavigation.BottomNavigation.Height
		Main.AlimoBottomNavigationBezierViewWidth=AlimoBottomNavigation.BezierView.Width
		Main.AlimoBottomNavigationBezierViewHeight=AlimoBottomNavigation.BezierView.Height
	End If
End Sub
Sub RadioButtons_CheckedChange(Checked As Boolean)
	Dim RadioButton As RadioButton=Sender
	Select RadioButton.Tag
		Case 0
			AlimoBottomNavigation.SetBottomNavigationMode(AlimoBottomNavigation.SimpleMode,Round(AlimoBottomNavigation.ItemCount/2)-1)
		Case 1
			AlimoBottomNavigation.SetBottomNavigationMode(AlimoBottomNavigation.MorphMode,Round(AlimoBottomNavigation.ItemCount/2)-1)
			AlimoBottomNavigation.SetBezirViewColor(Colors.White)
		Case 2
			AlimoBottomNavigation.SetBottomNavigationMode(AlimoBottomNavigation.MeowMode,Round(AlimoBottomNavigation.ItemCount/2)-1)
			AlimoBottomNavigation.SetBezirViewColor(Main.ActivityColor)
	End Select
End Sub

Sub AlimoBottomNavigation_ItemLongClicked (Position As Int)
	If AlimoBottomNavigation.IsShowingBadgeAtIndex(Position)=False Then
		AlimoBottomNavigation.SetBadgeAtIndex(Position,Colors.Red,Colors.White,9,Typeface.DEFAULT_BOLD,15dip,Rnd(1,9))
	Else
		AlimoBottomNavigation.HideBadgeAtIndex(Position)
	End If
End Sub
Sub AlimoBottomNavigation_ItemClicked (Position As Int)
	Log("ItemClicked "&Position)
	If Position<>AlimoBottomNavigation.CurentItem Then
		AlimoBottomNavigation.GoToPage(Position,True)
	End If
End Sub
Sub AlimoBottomNavigation_PageChanged (Position As Int)
	Log("PageChanged "&Position)
	CommonCodes.RefreshIcons(AlimoBottomNavigation)
	CommonCodes.SetSelectedIcon(Position,AlimoBottomNavigation)
	LblDescriptionPage.Text="Alimo bottom navigation selected item : "&Main.DescriptionsPages(Position)
End Sub
Sub AlimoBottomNavigation_BezierViewRefreshed
	Labeles(1).Text=SeekBarsDescriptions(1)&(CommonCodes.IntToDIP(AlimoBottomNavigation.GetBezierViewWidth)&" Dip")
	Labeles(2).Text=SeekBarsDescriptions(2)&(CommonCodes.IntToDIP(AlimoBottomNavigation.GetBezierViewHeight)&" Dip")
End Sub
Sub Support_Click
	Dim ACPopupMenu As ACPopupMenu
	ACPopupMenu.Initialize("ACPopupMenu",Toolbar)
	ACPopupMenu.AddMenuItem(0,"Contact us by email",CommonCodes.FontToDrawable(Typeface.MATERIALICONS,Chr(0xE0BE),22,Colors.DarkGray))
	ACPopupMenu.AddMenuItem(1,"Contact us in telegram",CommonCodes.FontToDrawable(Typeface.FONTAWESOME,Chr(0xF2C6),20,Colors.DarkGray))
	ACPopupMenu.AddMenuItem(2,"Join our telegram chanel",CommonCodes.FontToDrawable(Typeface.FONTAWESOME,Chr(0xF0A1),20,Colors.DarkGray))
	ACPopupMenu.Show
End Sub
Sub Activity_ActionBarHomeClick
	Activity.Finish
End Sub
Sub ACPopupMenu_ItemClicked (Item As ACMenuItem)
	Dim Intent As Intent
	Select Item.Id
		Case 0
			Intent.Initialize("android.intent.action.SENDTO","mailto:AliMoeini308@gmail.com")
		Case 1
			Intent.Initialize(Intent.ACTION_VIEW,"https://t.me/AliMoeini_Alimo")
		Case 2
			Intent.Initialize(Intent.ACTION_VIEW,"https://t.me/AlimoPt")
	End Select
	StartActivity(Intent)
End Sub