﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=10.2
@EndOfDesignText@
Sub Process_Globals

End Sub
Public Sub IntToDIP(Value As Int) As Int
	Return Round(Value/DipToCurrent(100)*100)
End Sub
Public Sub FontToDrawable(YourTypeface As Typeface,FontText As String,size As Float,color As Int) As BitmapDrawable
	Dim xui As XUI
	Dim PanelFont As Panel = xui.CreatePanel("")
	PanelFont.SetLayoutAnimated(0, 0, 0, 32dip, 32dip)
	Dim cvs1 As B4XCanvas
	cvs1.Initialize(PanelFont)
	Dim fnt As B4XFont = xui.CreateFont(YourTypeface, size)
	Dim r As B4XRect = cvs1.MeasureText(FontText, fnt)
	Dim BaseLine As Int = cvs1.TargetRect.CenterY - r.Height / 2 - r.Top
	cvs1.DrawText(FontText, cvs1.TargetRect.CenterX, BaseLine, fnt, color, "CENTER")
	Dim b As B4XBitmap = cvs1.CreateBitmap
	Dim bd As BitmapDrawable
	bd.Initialize(b)
	cvs1.Release
	Return bd
End Sub
Public Sub RefreshIcons(AlimoBottomNavigation As Alimo_BottomNavigation)
	For i=0 To AlimoBottomNavigation.ItemCount-1
		Select i
			Case 0
				AlimoBottomNavigation.ChangeIconAtIndex(i,FontToDrawable(Main.MyTypeFace,Chr(0xF2A3),24,Colors.Gray))
			Case 1
				AlimoBottomNavigation.ChangeIconAtIndex(i,FontToDrawable(Main.MyTypeFace,Chr(0xF037),24,Colors.Gray))
			Case 2
				AlimoBottomNavigation.ChangeIconAtIndex(i,FontToDrawable(Main.MyTypeFace,Chr(0xF103),24,Colors.Gray))
			Case 3
				AlimoBottomNavigation.ChangeIconAtIndex(i,FontToDrawable(Main.MyTypeFace,Chr(0xF461),24,Colors.Gray))
			Case 4
				AlimoBottomNavigation.ChangeIconAtIndex(i,FontToDrawable(Main.MyTypeFace,Chr(0xF036),24,Colors.Gray))
		End Select
	Next
End Sub
Public Sub SetSelectedIcon(SelectedIndex As Int,AlimoBottomNavigation As Alimo_BottomNavigation)
	Dim IconColor As Int
	If AlimoBottomNavigation.CircleViewEnabled Then
		IconColor=Colors.White
	Else
		IconColor=Colors.Black
	End If
	Select SelectedIndex
		Case 0
			AlimoBottomNavigation.ChangeIconAtIndex(SelectedIndex,FontToDrawable(Main.MyTypeFace,Chr(0xF13D),24,IconColor))
		Case 1
			AlimoBottomNavigation.ChangeIconAtIndex(SelectedIndex,FontToDrawable(Main.MyTypeFace,Chr(0xF039),24,IconColor))
		Case 2
			AlimoBottomNavigation.ChangeIconAtIndex(SelectedIndex,FontToDrawable(Main.MyTypeFace,Chr(0xF100),24,IconColor))
		Case 3
			AlimoBottomNavigation.ChangeIconAtIndex(SelectedIndex,FontToDrawable(Main.MyTypeFace,Chr(0xF0F9),24,IconColor))
		Case 4
			AlimoBottomNavigation.ChangeIconAtIndex(SelectedIndex,FontToDrawable(Main.MyTypeFace,Chr(0xF038),24,IconColor))
	End Select
End Sub